Crazy Eddies GUI System: CEGUI::ChainedXMLHandler Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
CEGUI::ChainedXMLHandler Class Reference

Abstract XMLHandler based class. More...

Inherits CEGUI::XMLHandler.

Inherited by CEGUI::Animation_xmlHandler, CEGUI::AnimationAffectorHandler, CEGUI::AnimationDefinitionHandler, CEGUI::AnimationKeyFrameHandler, CEGUI::AnimationSubscriptionHandler, and CEGUI::Falagard_xmlHandler.

Collaboration diagram for CEGUI::ChainedXMLHandler:
[legend]

List of all members.

## Public Member Functions
void | elementStart (const String &element, const XMLAttributes &attributes)
| Method called to notify the handler at the start of each XML element encountered.
void | elementEnd (const String &element)
| Method called to notify the handler at the end of each XML element encountered.
bool | completed () const
| returns whether this chained handler has completed.
## Protected Member Functions
virtual void | elementStartLocal (const String &element, const XMLAttributes &attributes)=0
| Function that handles elements locally (used at end of handler chain)
virtual void | elementEndLocal (const String &element)=0
| Function that handles elements locally (used at end of handler chain)
void | cleanupChainedHandler ()
| clean up any chained handler.
## Protected Attributes
ChainedXMLHandler * | d_chainedHandler
| chained xml handler object.
bool | d_completed
| is the chaind handler completed.

## Detailed Description

Abstract XMLHandler based class.

## Member Function Documentation

void CEGUI::ChainedXMLHandler::elementEnd | ( | const String & | element | ) | `[virtual]`

Method called to notify the handler at the end of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is ending.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.

void CEGUI::ChainedXMLHandler::elementStart | ( | const String & | element,
|  | const XMLAttributes & | attributes
| ) |  | `[virtual]`

Method called to notify the handler at the start of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is starting.
  attributes | An XMLAttributes object holding the collection of attributes specified for the element.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.